Package org.eclipse.emf.cdo.session

## Interface CDOSessionLocksChangedEvent

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDOLockChangeInfo`, `CDOSessionEvent`, `CDOTimeProvider`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOSessionLocksChangedEvent
      extends CDOSessionEvent, CDOLockChangeInfo

  A `session event` fired when lock-change notifications are received from a remote repository. For this event to be fired, `the lock notification mode` must either be set to ALWAYS, or it must be set to IF_REQUIRED_BY_VIEWS and at least one of this sessions' views must have `its lock-notification enablement` set to `true`.
  Since:
    4.1
  Author:
    Caspar De Groot
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

      `CDOLockChangeInfo.Operation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOView` | `getSender()` | Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

      `getBranch, getLockOwner, getLockStates, getLockType, getNewLockStates, getOperation, getTimeStamp, isInvalidateAll`

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent

      `getSource`

- - ### Method Detail

    - #### getSender

          CDOView getSender()

      Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.